# Uses of Class
ch.qos.logback.classic.Level

Packages that use Level
Package
Description
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.filter
ch.qos.logback.classic.jmx
ch.qos.logback.classic.jul
Logback <-> java.util.logging (JUL) integration.
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.classic.turbo

## Uses of Level in ch.qos.logback.classic

Fields in ch.qos.logback.classic declared as Level
Modifier and Type
Field
Description
`static final Level`
Level.`ALL`
The `ALL` is used to turn on all logging.
`static final Level`
Level.`DEBUG`
The `DEBUG` level designates informational events of lower importance.
`static final Level`
Level.`ERROR`
The `ERROR` level designates error events which may or not be fatal to the application.
`static final Level`
Level.`INFO`
The `INFO` level designates informational messages highlighting overall progress of the application.
`static final Level`
Level.`OFF`
The `OFF` is used to turn off logging.
`static final Level`
Level.`TRACE`
The `TRACE` level designates informational events of very low importance.
`static final Level`
Level.`WARN`
The `WARN` level designates potentially harmful situations.
Methods in ch.qos.logback.classic that return Level
Modifier and Type
Method
Description
`static Level`
Level.`fromLocationAwareLoggerInteger(int levelInt)`
Convert one of the integer values defined in `LocationAwareLogger` interface to an instance of this class, i.e.
`Level`
Logger.`getEffectiveLevel()`
`Level`
Logger.`getLevel()`
`static Level`
Level.`toLevel(int val)`
Convert an integer passed as argument to a Level.
`static Level`
Level.`toLevel(int val, Level defaultLevel)`
Convert an integer passed as argument to a Level.
`static Level`
Level.`toLevel(String sArg)`
Convert the string passed as argument to a Level.
`static Level`
Level.`toLevel(String sArg, Level defaultLevel)`
Convert the string passed as argument to a Level.
`static Level`
Level.`valueOf(String sArg)`
This method exists in order to comply with Joran's valueOf convention.
Methods in ch.qos.logback.classic with parameters of type Level
Modifier and Type
Method
Description
`boolean`
Logger.`isEnabledFor(Level level)`
`boolean`
Logger.`isEnabledFor(org.slf4j.Marker marker, Level level)`
`boolean`
Level.`isGreaterOrEqual(Level r)`
Returns `true` if this Level has a higher or equal Level than the Level passed as argument, `false` otherwise.
`void`
Logger.`setLevel(Level newLevel)`
`static Level`
Level.`toLevel(int val, Level defaultLevel)`
Convert an integer passed as argument to a Level.
`static Level`
Level.`toLevel(String sArg, Level defaultLevel)`
Convert the string passed as argument to a Level.
`static int`
Level.`toLocationAwareLoggerInteger(Level level)`
Convert this level instance to an integer value defined in the `LocationAwareLogger` interface.

## Uses of Level in ch.qos.logback.classic.filter

Methods in ch.qos.logback.classic.filter with parameters of type Level
Modifier and Type
Method
Description
`void`
LevelFilter.`setLevel(Level level)`

## Uses of Level in ch.qos.logback.classic.jmx

Methods in ch.qos.logback.classic.jmx with parameters of type Level
Modifier and Type
Method
Description
`void`
JMXConfigurator.`onLevelChange(Logger logger, Level level)`

## Uses of Level in ch.qos.logback.classic.jul

Methods in ch.qos.logback.classic.jul with parameters of type Level
Modifier and Type
Method
Description
`static Level`
JULHelper.`asJULLevel(Level lbLevel)`
`void`
LevelChangePropagator.`onLevelChange(Logger logger, Level level)`

## Uses of Level in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi that return Level
Modifier and Type
Method
Description
`Level`
ILoggingEvent.`getLevel()`
`Level`
LoggingEvent.`getLevel()`
`Level`
LoggingEventVO.`getLevel()`
Methods in ch.qos.logback.classic.spi with parameters of type Level
Modifier and Type
Method
Description
`FilterReply`
TurboFilterList.`getTurboFilterChainDecision(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Loop through the filters in the chain.
`void`
LoggerContextListener.`onLevelChange(Logger logger, Level level)`
`void`
LoggingEvent.`setLevel(Level level)`
Constructors in ch.qos.logback.classic.spi with parameters of type Level
Modifier
Constructor
Description
``
`LoggingEvent(String fqcn, Logger logger, Level level, String message, Throwable throwable, Object[] argArray)`

## Uses of Level in ch.qos.logback.classic.turbo

Methods in ch.qos.logback.classic.turbo that return Level
Modifier and Type
Method
Description
`Level`
DynamicThresholdFilter.`getDefaultThreshold()`
Get the default threshold value when the MDC key is not set.
`Level`
MDCValueLevelPair.`getLevel()`
Methods in ch.qos.logback.classic.turbo with parameters of type Level
Modifier and Type
Method
Description
`FilterReply`
DuplicateMessageFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
DynamicThresholdFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String s, Object[] objects, Throwable throwable)`
This method first finds the MDC value for 'key'.
`FilterReply`
MarkerFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
MDCFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
ReconfigureOnChangeFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`abstract FilterReply`
TurboFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Make a decision based on the multiple parameters passed as arguments.
`void`
DynamicThresholdFilter.`setDefaultThreshold(Level defaultThreshold)`
`void`
MDCValueLevelPair.`setLevel(Level level)`